# SoDecomposeVec2f Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoDecomposeVec2f:

List of all members.

## Detailed Description

The SoDecomposeVec2f class is used to decompose 2D vectors into two floats.

## Public Attributes

SoMFVec2f | vector
SoEngineOutput | x
SoEngineOutput | y

## Member Data Documentation

SoMFVec2f SoDecomposeVec2f::vector

| Set of input vectors to be decomposed into their coordinate elements.

SoEngineOutput SoDecomposeVec2f::x

| (SoMFFloat) First coordinates of the input vectors.

SoEngineOutput SoDecomposeVec2f::y

| (SoMFFloat) Second coordinates of the input vectors.

The documentation for this class was generated from the following files:

- SoDecomposeVec2f.h
- SoDecomposeVec2f.cpp